"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk = require('chalk');
const inquirer = require("inquirer");
const cli_1 = require("../cli");
const fileHelper_1 = require("../helpers/fileHelper");
const moduleHelper_1 = require("../helpers/moduleHelper");
const questions_1 = require("../helpers/questions");
cli_1.program.command('config')
    .alias('c')
    .description('Starts protractor\'s interactive cli')
    .action((options) => {
    if (!process.argv.slice(3).length) {
        console.log(`
============================
${chalk.red.bold('PROTRACTOR\'s INTERACTIVE CLI')}
============================

`);
        return inquirer.prompt(questions_1.questions).then((answers) => {
            moduleHelper_1.installModules(answers);
            new fileHelper_1.FileHelper().createConfigFile(answers);
        });
    }
    else {
        console.error(chalk.red(`
${'Config command doesn\'t have any arguments! Try running the command only!'}`));
        process.exit(0);
    }
});
/**
 * Public Interface
 */
exports.config = { program: cli_1.program };
//# sourceMappingURL=config.js.map