"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk = require('chalk');
const cli_1 = require("../cli");
const npmUtil_1 = require("../utils/npmUtil");
const pkgs = ['protractor', 'webdriver-manager'];
cli_1.program.command('install')
    .alias('i')
    .description('Installs protractor and webdriver dependencies globally!')
    .action(() => {
    if (!process.argv.slice(3).length) {
        npmUtil_1.NpmUtil.checkPackageJson();
        npmUtil_1.NpmUtil.installPkgs('Installing Protractor & Webdriver-Manager Pkgs...', pkgs, { global: true });
        npmUtil_1.NpmUtil.updateWebdriver();
    }
    else {
        console.error(chalk.red(`
${'Install command doesn\'t have any arguments! Try running the command only!'}`));
        process.exit(0);
    }
});
/**
 * Public Interface
 */
exports.install = { program: cli_1.program };
//# sourceMappingURL=install.js.map